<div style="padding:5px;min-width:1700px">
<div style="padding:20px;"></div>
<button class="btn btnExcel" style="width:150px;text-align:center;">Export Excel</button></div>
<table id="view_laporan" class="cetakExcel" border="0" cellpadding="2" cellspacing="0" style="margin:10px;">
	<tbody>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;border-top:0;font-size:14px;border-right:0px;">LAPORAN PERKARA <?php echo $perkara_nama;?></td>
		</tr>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;font-size:14px;border-right:0px;"><?php echo $nama_pn;?></td>
		</tr>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;font-size:14px;border-bottom:1px solid #000000;border-right:0px;">Bulan <?php echo fetch_montd($bulan);?> <?php echo $tahun;?></td>
		</tr>
	</tbody>

    <tr>
      <th rowspan="6">NOMOR URUT</th>
      <th rowspan="6">NOMOR PERKARA</th>
      <th colspan="2" rowspan="5">NAMA</th>
      <th rowspan="6">KODE KLASIFIKASI</th>
      <th colspan="6" rowspan="5">TANGGAL</th>
      <th colspan="13">AMAR PUTUSAN</th>
      <th colspan="2" rowspan="6">REKAPITULASI</th>
    </tr>
    <tr>
      <th colspan="9">DIJATUHI PUTUSAN</th>
      <th rowspan="3" colspan="4">BEBAS</th>
    </tr>
    <tr>
      <th colspan="9">PIDANA POKOK</th>
    </tr>
    <tr>
      <th colspan="4">KURUNGAN</th>
      <th colspan="5">DENDA/SUBSIDER</th>
    </tr>
    <tr>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th rowspan="2">JUMLAH (Rp)</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
    </tr>
    <tr>
      <th >HAKIM</th>
      <th >PANITERA PENGGANTI</th>
      <th >PENDAFTARAN PERKARA</th>
      <th >PENETAPAN HAKIM</th>
      <th >SIDANG PERTAMA</th>
      <th >PUTUSAN</th>
      <th >MINUTASI</th>
      <th >PEMBERITAHUAN PUTUSAN KEPADA TERDAKWA</th>
      <th >L</th>
      <th >P</th>
      <th >L</th>
      <th >P</th>
      <th >L</th>
      <th >P</th>
      <th >L</th>
      <th >P</th>
      <th >L</th>
      <th >P</th>
      <th >L</th>
      <th >P</th>
    </tr>
    <tr>
    <?php for ($a=1; $a<=24;$a++){
    	echo "<td>".$a."</td>";
          }
      echo "<td colspan=\"2\">25</td>";
    ?>
    </tr>

	<?php
	$rekap = array();
	if($stat!=''){
		if($stat->num_rows>0){
			foreach ($stat->result() as $row) {
				array_push($rekap, $row);
				$total = $row->sisa + $row->putus_blm_minut + $row->med_blm_minut;
			}
		}
	}
	if($laporan!=''){
		if($laporan->num_rows>0){
			$i=0;
			foreach ($laporan->result() as $row) {
				$i++;
				echo "<tr>";
					echo "<td style='width:20px;'>".$i."</td>";
					echo "<td>".$row->nomor_perkara."</td>";
          echo "<td>".$row->majelis_hakim."</td>";
          echo "<td>".$row->panitera_pengganti_text."</td>";
          echo "<td>".$row->jenis_perkara_kode."</td>";

					echo "<td>".parse_date($row->tanggal_pendaftaran)."</td>";
					echo "<td>".parse_date($row->penetapan_majelis_hakim)."</td>";
					echo "<td>".parse_date($row->sidang_pertama)."</td>";
					echo "<td>".parse_date($row->tanggal_putusan)."</td>";
					echo "<td>".parse_date($row->tanggal_minutasi)."</td>";
          echo "<td>".parse_date($row->tanggal_pemberitahuan_putusan)."</td>";

          echo "<td>".$row->terpidana_kurungan_dewasa_l."</td>";
          echo "<td>".$row->terpidana_kurungan_dewasa_p."</td>";
          echo "<td>".$row->terpidana_kurungan_anak_l."</td>";
          echo "<td>".$row->terpidana_kurungan_anak_p."</td>";

          echo "<td>".$row->terpidana_denda_dewasa_l."</td>";
          echo "<td>".$row->terpidana_denda_dewasa_p."</td>";
          echo "<td>".$row->terpidana_denda_anak_l."</td>";
          echo "<td>".$row->terpidana_denda_anak_p."</td>";
          echo "<td>".$row->denda."</td>";


          echo "<td>".$row->bebas_dakwaan_dewasa_l."</td>";
          echo "<td>".$row->bebas_dakwaan_dewasa_p."</td>";
          echo "<td>".$row->bebas_dakwaan_anak_l."</td>"; 
          echo "<td>".$row->bebas_dakwaan_anak_p."</td>"; 

					
					echo "<td style='width:150px;'>".parse_stat($i,1)."</td>";
					echo "<td>".parse_stat($i,2,$rekap)."</td>";
				echo "</tr>";
				
			}
			if($i<11){
				for ($x=$i+1; $x <=11; $x++) {
					echo "<tr>";
            for ($a=1;$a<=24;$a++){
  						echo "<td></td>";
            }

						echo "<td style='width:150px;'>".parse_stat($x,1)."</td>";
						echo "<td>".parse_stat($x,2,$rekap)."</td>";
					echo "</tr>";
				}
			}
		}
	}

	
	function parse_stat($x,$y,$rekap=NULL){
		if($x==1 AND $y==1){return '1. Sisa Bulan Lalu';}
		elseif($x==2 AND $y==1){return '  a. Belum Putus';}
		elseif($x==3 AND $y==1){return '  b. Sudah Putus Belum Minutasi';}
		elseif($x==4 AND $y==1){return '  ';}
		elseif($x==5 AND $y==1){return '2. Tambah Bulan Ini';}
		elseif($x==6 AND $y==1){return '3. Beban Bulan Ini';}
		elseif($x==7 AND $y==1){return '4. Belum Pembagian Majelis';}
		elseif($x==8 AND $y==1){return '6. Minutir Bulan Ini';}
		elseif($x==9 AND $y==1){return '7. Belum Minutir Bulan Ini';}

		elseif($x==10 AND $y==1){return '8. Terdakwa';}
		elseif($x==11 AND $y==1){return '9. Terpidana';}
		
		elseif($x==1 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut;}
		elseif($x==2 AND $y==2){return $rekap[0]->sisa;}
		elseif($x==3 AND $y==2){return $rekap[0]->putus_blm_minut;}
		elseif($x==4 AND $y==2){return '';}
		elseif($x==5 AND $y==2){return $rekap[0]->masuk;}
		elseif($x==6 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut + $rekap[0]->masuk;}
		elseif($x==7 AND $y==2){return $rekap[0]->blm_majelis;}
		elseif($x==8 AND $y==2){return $rekap[0]->minut;}
		elseif($x==9 AND $y==2){return $rekap[0]->blm_minut;}
		elseif($x==10 AND $y==2){return $rekap[0]->terdakwa;}
		elseif($x==11 AND $y==2){return $rekap[0]->terpidana;}
		
	}
	?>
</table>
</div>
<div style="padding:15px;"></div>
<script src="resources/js/jquery.table2excel.js"></script>
<script>
$(function() {
  $(".btnExcel").click(function(){
    $(".cetakExcel").table2excel({
      exclude: ".noExl",
      name: "Excel Document Name",
      filename: "Cetak Excel"
    });
  });
});
</script>